{% extends 'base.html.twig' %}

{% block title %}LDAP{% endblock %}

{% block body %}
    <div class="uk-container uk-container-expand uk-text-center ">
        <h1 class="uk-heading-large uk-text-center uk-margin-large-top text-wrapper ">
            {%- if user -%}
                Welcome, {{ user }}!
            {%- else -%}
                Welcome
            {%- endif -%}
        </h1>

        <p class="uk-text-center uk-text-lead">You can {% if user %}now {% endif -%} use any of the following services:</p>
    </div>

    <div class="uk-container uk-container-expand uk-text-center uk-background-secondary uk-light uk-margin-large uk-padding-large">
        {% if not user %}
            <a class="uk-button uk-button-default uk-button-large uk-heading-mediun=m uk-width-1-1 uk-margin-bottom"
               href="{{ urls[0] }}">
                Password Reset
            </a>
        {% endif %}

        <a class="uk-button uk-button-primary uk-button-large uk-heading-mediun=m uk-width-1-1"
           href="{{ urls[1] }}"
           style="font-size: 2rem; font-weight: 400; line-height: 100px; background-color: #1e87f0; color: #fff;">
            <img class='my-icon' src="{{ asset('assets/mattermost.png') }}" alt="" aria-hidden="true"> Mattermost
            Chat
        </a>

        <div class="uk-child-width-1-5@s uk-margin-top uk-grid-match" uk-grid>
            <div>
                <a class="uk-button uk-button-default {% if user %}uk-button-small{% endif %} uk-width-1-1" href="{{ urls[2] }}">
                    <span uk-icon="menu"></span>

                    OpenProject (Task Management)
                </a>
            </div>
            <div>
                <a class="uk-button uk-button-default {% if user %}uk-button-small{% endif %} uk-width-1-1" href="{{ urls[3] }}">
                    <span uk-icon="settings"></span>

                    OCDT (Engineering data exchange)
                </a>
            </div>
            <div>
                <a class="uk-button uk-button-default {% if user %}uk-button-small{% endif %} uk-width-1-1" href="{{ urls[4] }}">
                    <span uk-icon="list"></span>

                    OCDT Web View
                </a>
            </div>
            <div>
                <a class="uk-button uk-button-default {% if user %}uk-button-small{% endif %} uk-width-1-1" href="{{ urls[5] }}">
                    <span uk-icon="comments"></span>

                    Meeting Minutes
                </a>
            </div>
            <div>
                <a class="uk-button uk-button-default {% if user %}uk-button-small{% endif %} uk-width-1-1" href="{{ urls[6] }}">
                    <span uk-icon="users"></span>

                    LDAP
                </a>
            </div>
        </div>
    </div>

    {% if not user %}
        <footer>
            <hr>
            <div class="uk-container uk-align-right uk-text-meta">
                <a href="{{ path('fos_user_security_login') }}" class="uk-link">Administrative login</a>
            </div>
        </footer>
    {% endif %}
{% endblock %}
